require 'helper'

class TestRbExtArray < Test::Unit::TestCase
  def test_should_slice_array
    a = %w(a b c - d e f - g)
    assert_equal a.split("-"), [["a", "b", "c"], ["d", "e", "f"], ["g"]]
    
    a = ["a", "-", "b", ["c", ["d", "-", "e"], "f"], "-", "g"]
    assert_equal a.split("-"), [["a"], ["b", ["c", ["d", "-", "e"], "f"]], ["g"]]
  end
  
  def test_should_double_array
    a = ["a", "b", 1, "c", 2.5]
    assert_equal a.n_up(2), ["aa", "bb", 2, "cc", 5.0]
  end
end
